Bug 3545 - /etc/emacs/site-start.d/c-mode-addons.el does not load
: /etc/emacs/site-start.d/c-mode-addons.el does not load
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/emacs-prog-modes)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-01-26 20:35 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-26 20:35:31
emacs-prog-modes-0.1-alt8

/etc/emacs/site-start.d/c-mode-addons.el fails to load at (define-key c-mode-map
...), because at this point cc-mode is not loaded, and therefore c-mode-map is
not defined.

These commands should either be placed in c-initialization-hook, or
(eval-after-load "cc-mode" ...).


Actual Results:  
Loading codepage...done
Loading ccl...done
(emacs)
Loading disp-table...done
Loading tooltip...done
Loading /home/vsu/.emacs.d/site-start.d/00_log.el (source)...done
Loading /etc/emacs/site-start.d/00auto-compr.el (source)...done
Loading /etc/emacs/site-start.d/00macros.el (source)...done
Loading /etc/emacs/site-start.d/10fontlock.el (source)...
Loading regexp-opt...done
Loading /etc/emacs/site-start.d/10fontlock.el (source)...done
Loading /etc/emacs/site-start.d/10frames.el (source)...done
Loading /etc/emacs/site-start.d/10initial-features.el (source)...
Loading paren...done
Loading /etc/emacs/site-start.d/10initial-features.el (source)...done
Loading /etc/emacs/site-start.d/10keys.el (source)...done
Loading /etc/emacs/site-start.d/10more-cyrillic.el (source)...done
Loading /etc/emacs/site-start.d/10mouse.el (source)...
Loading mwheel...done
Loading /etc/emacs/site-start.d/10mouse.el (source)...done
Loading /etc/emacs/site-start.d/10selection.el (source)...
Loading pc-select...done
Loading delsel...done
Loading /etc/emacs/site-start.d/10selection.el (source)...done
Loading /etc/emacs/site-start.d/20elib.el (source)...done
Loading /etc/emacs/site-start.d/21cedet.el (source)...
Loading /usr/share/emacs/site-lisp/cedet/common/cedet.el (source)...
"/usr/share/emacs/site-lisp/cedet/common/" added to `load-path'
Loading cl-macs...done
Loading places from ~/.emacs-places...
Loading places from /home/vsu/.emacs-places...done
Loading /usr/lib/emacs/21.3/i586-alt-linux/fns-21.3.1.el (source)...done
Loading advice...done
Loading senator...
Loading easymenu...done
Loading ring...done
Loading senator...done
Loading semanticdb...done
Loading /usr/share/emacs/site-lisp/cedet/common/cedet.el (source)...done
Loading /etc/emacs/site-start.d/21cedet.el (source)...done
Loading /etc/emacs/site-start.d/23jde.el (source)...done
Loading /etc/emacs/site-start.d/30w3.el (source)...
Loading /usr/share/emacs/site-lisp/w3/auto-autoloads.el (source)...done
Loading /usr/share/emacs/site-lisp/w3/custom-load.el (source)...done
Loading /etc/emacs/site-start.d/30w3.el (source)...done
Loading /etc/emacs/site-start.d/auctex.el (source)...done
Loading /etc/emacs/site-start.d/c-mode-addons.el (source)...
Loading c-mode-addons...done
Error while loading /etc/emacs/site-start.d/c-mode-addons.el
------- Comment #1 From 2004-02-02 10:12:50 -------
fixed